| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Memory
Java » Controller

Manage controller memory, such as program and arrays. More...

## Functions
void | gclibjava.GclibJava.GArrayDownload (String arrayName, List< Double > data) throws GclibJavaException
| Downloads array data to a pre-dimensioned array in the controller's array table.
void | gclibjava.GclibJava.GArrayDownload (String arrayName, List< Double > data, int first, int last) throws GclibJavaException
| Downloads array data to a pre-dimensioned array in the controller's array table.
List< Double > | gclibjava.GclibJava.GArrayUpload (String arrayName) throws GclibJavaException
| Uploads array data from the controller's array table.
List< Double > | gclibjava.GclibJava.GArrayUpload (String arrayName, int first, int last) throws GclibJavaException
| Uploads array data from the controller's array table.
void | gclibjava.GclibJava.GFirmwareDownload (String filePath) throws GclibJavaException
| Upgrade firmware.
void | gclibjava.GclibJava.GProgramDownload (String program, String preprocessor) throws GclibJavaException
| Downloads a program to the controller's program buffer.
void | gclibjava.GclibJava.GProgramDownload (String program) throws GclibJavaException
| Downloads a program using default preprocessor options.
String | gclibjava.GclibJava.GProgramUpload () throws GclibJavaException
| Uploads a program from the controller's program buffer.
void | gclibjava.GclibJava.GArrayDownloadFile (String filePath) throws GclibJavaException
| Array download from file.
void | gclibjava.GclibJava.GArrayUploadFile (String filePath, String names) throws GclibJavaException
| Array upload to file.
void | gclibjava.GclibJava.GArrayUploadFile (String filePath) throws GclibJavaException
| Overload of GArrayUploadFile to upload all arrays.
void | gclibjava.GclibJava.GProgramDownloadFile (String filePath, String preprocessor) throws GclibJavaException
| Program download from file.
void | gclibjava.GclibJava.GProgramDownloadFile (String filePath) throws GclibJavaException
| Overload of GProgramDownloadFile to use default preprocessor options.
void | gclibjava.GclibJava.GProgramUploadFile (String filePath) throws GclibJavaException
| Program upload to file.

## Detailed Description

Manage controller memory, such as program and arrays.

## Function Documentation

## ◆ GArrayDownload() [1/2]

void gclibjava.GclibJava.GArrayDownload | ( | String | arrayName,
|  | List< Double > | data ) throws GclibJavaException
| inline

Downloads array data to a pre-dimensioned array in the controller's array table.

Parameters

  arrayName | String containing the name of the array to download. Must match the array name used in DM.
  data | List containing the array data. The length of data may not be larger than the array dimensioned.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 110 of file GclibJava.java.

## ◆ GArrayDownload() [2/2]

void gclibjava.GclibJava.GArrayDownload | ( | String | arrayName,
|  | List< Double > | data,
|  | int | first,
|  | int | last ) throws GclibJavaException
| inline

Downloads array data to a pre-dimensioned array in the controller's array table.

Parameters

  arrayName | String containing the name of the array to download. Must match the array name used in DM.
  data | List containing the array data. The length of data may not be larger than the array dimensioned.
  first | Index of array to begin downloading to.
  last | Index of array to end downloading.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 132 of file GclibJava.java.

## ◆ GArrayUpload() [1/2]

List< Double > gclibjava.GclibJava.GArrayUpload | ( | String | arrayName | ) | throws GclibJavaException
| inline

Uploads array data from the controller's array table.

Parameters

  arrayName | String containing the name of the array to upload.

Returns
  A List of Doubles, containing the array data.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 150 of file GclibJava.java.

## ◆ GArrayUpload() [2/2]

List< Double > gclibjava.GclibJava.GArrayUpload | ( | String | arrayName,
|  | int | first,
|  | int | last ) throws GclibJavaException
| inline

Uploads array data from the controller's array table.

Parameters

  arrayName | String containing the name of the array to upload.
  first | Index of array to begin uploading.
  last | Index of array to end uploading.

Returns
  A List of Doubles, containing the array data.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 182 of file GclibJava.java.

## ◆ GFirmwareDownload()

void gclibjava.GclibJava.GFirmwareDownload | ( | String | filePath | ) | throws GclibJavaException
| inline

Upgrade firmware.

Parameters

  filePath | The full file path to the Galil-supplied firmware hex file. See http://www.galil.com/downloads/firmware

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 243 of file GclibJava.java.

## ◆ GProgramDownload() [1/2]

void gclibjava.GclibJava.GProgramDownload | ( | String | program,
|  | String | preprocessor ) throws GclibJavaException
| inline

Downloads a program to the controller's program buffer.

Parameters

  program | Program for download.
  preprocessor | Options string for preprocessing the program before sending it to the controller.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 321 of file GclibJava.java.

## ◆ GProgramDownload() [2/2]

void gclibjava.GclibJava.GProgramDownload | ( | String | program | ) | throws GclibJavaException
| inline

Downloads a program using default preprocessor options.

Parameters

  program | Program for download.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 332 of file GclibJava.java.

## ◆ GProgramUpload()

String gclibjava.GclibJava.GProgramUpload | ( |  | ) | throws GclibJavaException
| inline

Uploads a program from the controller's program buffer.

Returns
  The uploaded program.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 344 of file GclibJava.java.

## ◆ GArrayDownloadFile()

void gclibjava.GclibJava.GArrayDownloadFile | ( | String | filePath | ) | throws GclibJavaException
| inline

Array download from file.

Downloads a csv file containing array data at file_path. If the arrays don't exist, they will be dimensioned.

Parameters

  filePath | String containing the path to the array file.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 423 of file GclibJava.java.

## ◆ GArrayUploadFile() [1/2]

void gclibjava.GclibJava.GArrayUploadFile | ( | String | filePath,
|  | String | names ) throws GclibJavaException
| inline

Array upload to file.

Uploads the entire controller array table or a subset and saves the data as a csv file specified by file_path.

Parameters

  filePath | String containing the path to the array file. File will be overwritten if it exists.
  names | String containing the arrays to upload, delimited with space. "" uploads all arrays listed in LA.

Exceptions

  gclibjava.GclibJavaException | If an error is generated by gclib.

Definition at line 441 of file GclibJava.java.

## ◆ GArrayUploadFile() [2/2]

void gclibjava.GclibJava.GArrayUploadFile | ( | String | filePath | ) | throws GclibJavaException
| inline

Overload of GArrayUploadFile to upload all arrays.

Parameters

  filePath | String containing the path to the array file. File will be overwritten if it exists.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 454 of file GclibJava.java.

## ◆ GProgramDownloadFile() [1/2]

void gclibjava.GclibJava.GProgramDownloadFile | ( | String | filePath,
|  | String | preprocessor ) throws GclibJavaException
| inline

Program download from file.

Parameters

  filePath | String containing the path to the program file.
  preprocessor | Options string for preprocessing the program before sending it to the controller.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 514 of file GclibJava.java.

## ◆ GProgramDownloadFile() [2/2]

void gclibjava.GclibJava.GProgramDownloadFile | ( | String | filePath | ) | throws GclibJavaException
| inline

Overload of GProgramDownloadFile to use default preprocessor options.

Parameters

  filePath | String containing the path to the program file.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 526 of file GclibJava.java.

## ◆ GProgramUploadFile()

void gclibjava.GclibJava.GProgramUploadFile | ( | String | filePath | ) | throws GclibJavaException
| inline

Program upload to file.

Parameters

  filePath | String containing the path to the program file, file will be overwritten if it exists.

Exceptions

  GclibJavaException | If an error is generated by gclib.

Definition at line 539 of file GclibJava.java.